Skip to main content

GET /lookalike

GET 

lookalike

Retrieve all domains currently monitored for lookalike threats

Query Parameters​

offset string
Number of items to skip before starting to return results

limit string
Maximum number of items to return per request

sort string
Example: -domain (desc) or domain (asc)

domain string
Filter results by a domain name substring

profile_id string
Filter results by profile ID

Returns

  • dataarray
    • idstring
      Unique identifier of the monitored domain entry
    • domainstring
      The monitored domain name
    • unclassifiednumber
      Number of detected lookalike domains not yet classified
    • threatnumber
      Number of detected lookalike domains classified as a threat
    • ignorednumber
      Number of detected lookalike domains marked as ignored
    • created_atstring
      Timestamp when the domain was added for monitoring
    • updated_atstring
      Timestamp when the domain entry was last updated
  • metaobject
    Pagination metadata for list responses
    • countinteger
      Total number of items available
    • offsetinteger
      Number of items skipped
    • limitinteger
      Maximum number of items returned per request
Error Codes

400 Bad Request

Bad Request

401 Unauthorized

Unauthorized

403 Forbidden

Forbidden

500 Internal Server Error

Internal server error